> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# Update a workflow environment

PUT https://api.scoutos.com/v2/workflows/{workflow_id}/environments/{environment_id}
Content-Type: application/json

Update deployments within a workflow environment

Reference: https://ref.scoutos.com/api-sdk/endpoints/environments/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `workflow_id` (string, required)
- `environment_id` (string, required)

### Body (application/json)

This endpoint expects an UpdateRequestBody.

- `name` (string, required)
- `description` (string, required)
- `deployments` (list of EnvironmentDeploymentConfig, required)

## Response

### 200

Successful Response

- `success` (boolean, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### EnvironmentDeploymentConfig

- `revision_lookup` (enum, required)
  - Allowed values: `latest`, `revision_id`
- `revision_id` (string, optional, nullable) — Revision ID to direct traffic to
- `traffic` (integer, optional, default: 100)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Request**

```json
{
  "name": "Production Environment",
  "description": "Primary environment for live user traffic",
  "deployments": [
    {
      "revision_lookup": "latest"
    }
  ]
}
```

**Response**

```json
{
  "success": true
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id"

payload = {
    "name": "Production Environment",
    "description": "Primary environment for live user traffic",
    "deployments": [{ "revision_lookup": "latest" }]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.environments.update("workflow_id", "environment_id", {
    name: "name",
    description: "description",
    deployments: [{
            revision_lookup: "latest"
        }]
});

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id"

	payload := strings.NewReader("{\n  \"name\": \"Production Environment\",\n  \"description\": \"Primary environment for live user traffic\",\n  \"deployments\": [\n    {\n      \"revision_lookup\": \"latest\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Production Environment\",\n  \"description\": \"Primary environment for live user traffic\",\n  \"deployments\": [\n    {\n      \"revision_lookup\": \"latest\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Production Environment\",\n  \"description\": \"Primary environment for live user traffic\",\n  \"deployments\": [\n    {\n      \"revision_lookup\": \"latest\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id', [
  'body' => '{
  "name": "Production Environment",
  "description": "Primary environment for live user traffic",
  "deployments": [
    {
      "revision_lookup": "latest"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Production Environment\",\n  \"description\": \"Primary environment for live user traffic\",\n  \"deployments\": [\n    {\n      \"revision_lookup\": \"latest\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Production Environment",
  "description": "Primary environment for live user traffic",
  "deployments": [["revision_lookup": "latest"]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```